local amount = 7;
function onUpdate(elapsed)
    local currentBeat = (getSongPosition() / 1000)*(bpm/215)
    for i = 0, 3 do
        setPropertyFromGroup('playerStrums', i, 'y', _G['defaultPlayerStrumY'..i] + amount * math.cos((currentBeat + i*0.25) * math.pi));
        setPropertyFromGroup('opponentStrums', i, 'y', _G['defaultOpponentStrumY'..i] + amount * math.cos((currentBeat + i*0.25) * math.pi));
    end
end

function onStepHit()
     if curStep >= 256 and curStep <= 256 then
        amount = amount + 6
    end
    if curStep >= 383 and curStep <= 350 then
        if amount > 0 then
            amount = amount - 2
        end
    end
end